Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-desktop
Navigation:
Lists: gentoo-desktop: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-desktop@g.o
From: "Justin Denick" <justin.denick@...>
Subject: Re: Trying to install gnucash - g-wrap failure
Date: Mon, 19 Feb 2007 07:46:39 -0500
issue the revdep-rebuild command as root. It looks like there may be some things that need to be recompiled.<br><br><div><span class="gmail_quote">On 2/18/07, <b class="gmail_sendername">mail</b> &lt;<a href="mailto:lists@...">
lists@...</a>&gt; wrote:</span><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">Hi,<br><br>I am trying to install gnucash and it fails during the process of
<br>building g-wrap-1.3.4-r1<br><br>Here is the emerge error:<br><br>...<br>Some deprecated features have been used.&nbsp;&nbsp;Set the environment<br>variable GUILE_WARN_DEPRECATED to &quot;detailed&quot; and rerun the<br>program to get more information.&nbsp;&nbsp;Set it to &quot;no&quot; to suppress
<br>this message.<br>add-ws-t gw-wct #&lt;output: gw-wct.c 3&gt; gw:global-declarations-ccg<br> for-client gw-standard gw-wct<br> for-parent gw-wct<br>add-ws-t gw-wct #&lt;output: gw-wct.c 3&gt; gw:global-definitions-ccg<br>
 for-client gw-standard gw-wct<br> for-parent gw-wct<br>if /bin/sh ../libtool --mode=compile i686-pc-linux-gnu-gcc<br>-DHAVE_CONFIG_H -I. -I. -I..&nbsp;&nbsp;&nbsp;&nbsp;-O2 -g -Wall -Werror<br>-I/usr/include/glib-1.2 -I/usr/lib/glib/include&nbsp;&nbsp;-I/usr/include/glib-
1.2<br>-I/usr/lib/glib/include -march=i686 -pipe&nbsp;&nbsp;-MT g-wrap-glib.lo -MD -MP<br>-MF &quot;.deps/g-wrap-glib.Tpo&quot; \<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-c -o g-wrap-glib.lo `test -f &#39;g-wrap-glib.c&#39; || echo<br>&#39;./&#39;`g-wrap-glib.c
; \<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;then mv &quot;.deps/g-wrap-glib.Tpo&quot; &quot;.deps/g-wrap-glib.Plo&quot;; \<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;else rm -f &quot;.deps/g-wrap-glib.Tpo&quot;; exit 1; \<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;fi<br>mkdir .libs<br>i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.. -O2 -g -Wall -Werror
<br>-I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/include/glib-1.2<br>-I/usr/lib/glib/include -march=i686 -pipe -MT g-wrap-wct.lo -MD -MP<br>-MF .deps/g-wrap-wct.Tpo -c g-wrap-wct.c&nbsp;&nbsp;-fPIC -DPIC<br>-o .libs/g-wrap-wct.lo
<br>rm -f .libs/g-wrap-glib.lo<br>i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.. -O2 -g -Wall -Werror<br>-I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/include/glib-1.2<br>-I/usr/lib/glib/include -march=i686 -pipe -MT 
g-wrap-glib.lo -MD -MP<br>-MF .deps/g-wrap-glib.Tpo -c g-wrap-glib.c&nbsp;&nbsp;-fPIC -DPIC<br>-o .libs/g-wrap-glib.lo<br>In file included from /usr/include/glib-1.2/glib.h:66,<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; from ./g-wrap-glib.h:24,<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; from 
g-wrap-glib.c:20:<br>/usr/lib/glib/include/glibconfig.h:39:8: error: extra tokens at end of<br>#endif directive<br>make[2]: *** [g-wrap-glib.lo] Error 1<br>make[2]: *** Waiting for unfinished jobs....<br>i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.. -O2 -g -Wall -Werror
<br>-I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/include/glib-1.2<br>-I/usr/lib/glib/include -march=i686 -pipe -MT g-wrap-wct.lo -MD -MP<br>-MF .deps/g-wrap-wct.Tpo -c g-wrap-wct.c -o g-wrap-wct.o &gt;/dev/null 2&gt;&amp;1
<br>mv -f .libs/g-wrap-wct.lo g-wrap-wct.lo<br>make[2]: Leaving directory<br>`/var/tmp/portage/dev-libs/g-wrap-1.3.4-r1/work/g-wrap-1.3.4/g-wrap&#39;<br>make[1]: *** [all-recursive] Error 1<br>make[1]: Leaving directory<br>
`/var/tmp/portage/dev-libs/g-wrap-1.3.4-r1/work/g-wrap-1.3.4&#39;<br>make: *** [all] Error 2<br><br>!!! ERROR: dev-libs/g-wrap-1.3.4-r1 failed.<br>Call stack:<br>&nbsp;&nbsp;ebuild.sh, line 1614:&nbsp;&nbsp; Called dyn_compile<br>&nbsp;&nbsp;ebuild.sh
, line 971:&nbsp;&nbsp; Called qa_call &#39;src_compile&#39;<br>&nbsp;&nbsp;environment, line 3243:&nbsp;&nbsp; Called src_compile<br>&nbsp;&nbsp;g-wrap-1.3.4-r1.ebuild, line 31:&nbsp;&nbsp; Called die<br><br>!!! emake failed<br>!!! If you need support, post the topmost build error, and the call
<br>stack if relevant.<br>!!! A complete build log is located at<br>&#39;/var/tmp/portage/dev-libs/g-wrap-1.3.4-r1/temp/build.log&#39;.<br><br><br><br>I am using gcc 4.1.1. It seems like it might be a compiler error. Does
<br>anybody know how I can fix this? Is this a known bug?<br><br>Thanks<br>Rick<br><br><br>--<br><a href="mailto:gentoo-desktop@g.o">gentoo-desktop@g.o</a> mailing list<br><br></blockquote></div><br><br clear="all">
<br>-- <br>In vino veritas.<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[In wine there is truth.]<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-- Pliny
Replies:
Re: Trying to install gnucash - g-wrap failure
-- mail
References:
Trying to install gnucash - g-wrap failure
-- mail
Navigation:
Lists: gentoo-desktop: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
Trying to install gnucash - g-wrap failure
Next by thread:
Re: Trying to install gnucash - g-wrap failure
Previous by date:
Trying to install gnucash - g-wrap failure
Next by date:
how do I remove evolution from gnome?


Updated Jun 17, 2009

Summary: Archive of the gentoo-desktop mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.